Commit message shouldn't be rendered by Markdown or Textile
Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: SCM Estimated time: 0.00 hour

Target version:    

Resolution: Duplicate   

Description

Hello, our team is using Redmine 3.30 and git as VCS.

GitExtension is the default git client.

Recently, we changed our project text formatting from Textile to Markdown, the problem happened:

The commit message in 'Repository' will rendered as Markdown format as well.

---

Reason:

When merging a branch in GitExtension, it will automatically generating a commit message like the following:

# Conflicts:

#    path/to/conflict/file

#    path/to/conflict/file

#    path/to/conflict/file

 

Compared with some other website(such as GitHub, Gitlab etc...)

They didn't treat these commit message as Markdown, just raw plain text.

Environment:

Redmine version                3.3.0.stable

Ruby version                   2.2.5-p319 (2016-04-26) [x86_64-linux]

Rails version                  4.2.6

Environment                    production

Database adapter               Mysql2

SCM:

Subversion                     1.8.10

Mercurial                      3.1.2

Bazaar                         2.7.0

Git                            2.1.4

Filesystem

Redmine plugins:

no plugin installed

Related issues:

Related to Redmine - Feature #22758: Make text formatting of commit messages ... Closed

History

#1 - 2016-10-14 05:44 - Toshi MARUYAMA

- Tracker changed from Defect to Feature

#2 - 2016-10-14 05:45 - Toshi MARUYAMA

- Subject changed from Commit message shouldn't be rendered by Markdown to Commit message shouldn't be rendered by Markdown or Textile

#3 - 2016-10-14 05:50 - Toshi MARUYAMA
- Category changed from Text formatting to SCM

#4 - 2016-11-16 23:07 - Marius BĂLTEANU

Duplicates #22758?

#5 - 2016-11-17 03:36 - Toshi MARUYAMA

- Status changed from New to Closed

- Resolution set to Duplicate

Marius BALTEANU wrote:

Duplicates #22758?

 Thank you for your pointing out.

#6 - 2016-11-17 03:37 - Toshi MARUYAMA

- Related to Feature #22758: Make text formatting of commit messages optional added
